Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_catalog.py	(revision 7811)
@@ -28,8 +28,8 @@
 from zope.component.interfaces import ComponentLookupError
 from zope.testbrowser.testing import Browser
-from waeup.sirp.app import University
-from waeup.sirp.applicants.container import ApplicantsContainer
-from waeup.sirp.applicants.applicant import Applicant
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.app import University
+from waeup.kofa.applicants.container import ApplicantsContainer
+from waeup.kofa.applicants.applicant import Applicant
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
 
 class CatalogTests(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_container.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_container.py	(revision 7811)
@@ -21,6 +21,6 @@
 import unittest
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.applicants import interfaces
-from waeup.sirp.applicants.container import (
+from waeup.kofa.applicants import interfaces
+from waeup.kofa.applicants.container import (
     ApplicantsContainer,
     )
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_dynamicroles.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_dynamicroles.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_dynamicroles.py	(revision 7811)
@@ -24,7 +24,7 @@
 from zope.securitypolicy.tests.test_annotationprincipalrolemanager import (
     Test as APRMTest, Manageable)
-from waeup.sirp.testing import FunctionalLayer
-from waeup.sirp.applicants.tests.test_browser import ApplicantsFullSetup
-from waeup.sirp.applicants import ApplicantPrincipalRoleManager
+from waeup.kofa.testing import FunctionalLayer
+from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
+from waeup.kofa.applicants import ApplicantPrincipalRoleManager
 
 class ApplicantPrincipalRoleManagerTests(APRMTest):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_interfaces.py	(revision 7811)
@@ -22,6 +22,6 @@
 from zc.sourcefactory.browser.source import FactoredTerms
 from zope.publisher.browser import TestRequest
-from waeup.sirp.applicants.interfaces import ApplicationTypeSource
-from waeup.sirp.students.vocabularies import GenderSource
+from waeup.kofa.applicants.interfaces import ApplicationTypeSource
+from waeup.kofa.students.vocabularies import GenderSource
 
 class InterfacesTest(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_payment.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_payment.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_payment.py	(revision 7811)
@@ -20,8 +20,8 @@
 """
 
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.applicants.payment import (
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.applicants.payment import (
     ApplicantOnlinePayment, ApplicantOnlinePaymentFactory)
-from waeup.sirp.payments.interfaces import IOnlinePayment
+from waeup.kofa.payments.interfaces import IOnlinePayment
 
 class ApplicantOnlinePaymentFactoryTest(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_pdf.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_pdf.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_pdf.py	(revision 7811)
@@ -22,8 +22,8 @@
 from zope.component import getAdapter
 from zope.interface import verify
-from waeup.sirp.applicants.pdf import IPDF, PDFApplicationSlip
-from waeup.sirp.applicants.tests.test_browser import ApplicantsFullSetup
-from waeup.sirp.interfaces import IPDF
-from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
+from waeup.kofa.applicants.pdf import IPDF, PDFApplicationSlip
+from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
+from waeup.kofa.interfaces import IPDF
+from waeup.kofa.testing import FunctionalTestCase, FunctionalLayer
 
 class PDFApplicationSlipTests(ApplicantsFullSetup):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_root.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_root.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_root.py	(revision 7811)
@@ -26,12 +26,12 @@
 from zope.component.hooks import setSite, clearSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.app import University
-from waeup.sirp.applicants import (
+from waeup.kofa.app import University
+from waeup.kofa.applicants import (
     interfaces, Applicant, ApplicantsContainer,
     )
-from waeup.sirp.applicants.root import (
+from waeup.kofa.applicants.root import (
     ApplicantsRoot, ApplicantsPlugin,
     )
-from waeup.sirp.testing import (
+from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, remove_logger)
 
@@ -45,5 +45,5 @@
 
     def setUp(self):
-        remove_logger('waeup.sirp.app.applicants')
+        remove_logger('waeup.kofa.app.applicants')
         super(ApplicantsRootTestCase, self).setUp()
         # Setup a sample site for each test
@@ -79,5 +79,5 @@
         logger = self.app['applicants'].logger
         assert logger is not None
-        assert logger.name == 'waeup.sirp.app.applicants'
+        assert logger.name == 'waeup.kofa.app.applicants'
         handlers = logger.handlers
         assert len(handlers) == 1
@@ -93,5 +93,5 @@
         logger = self.app['applicants'].logger
         assert logger is not None
-        assert logger.name == 'waeup.sirp.app.applicants'
+        assert logger.name == 'waeup.kofa.app.applicants'
         handlers = logger.handlers
         assert len(handlers) == 1
@@ -103,5 +103,5 @@
     def create_logger(self):
         # create a logger suitable for local tests.
-        test_logger = logging.getLogger('waeup.sirp.applicants.testlogger')
+        test_logger = logging.getLogger('waeup.kofa.applicants.testlogger')
         log = StringIO()
         handler = logging.StreamHandler(log)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 7811)
@@ -20,5 +20,5 @@
 
 import grok
-from waeup.sirp.applicants.interfaces import IApplicantsUtils
+from waeup.kofa.applicants.interfaces import IApplicantsUtils
 
 class ApplicantsUtils(grok.GlobalUtility):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7811)
@@ -18,19 +18,19 @@
 import grok
 from hurry.workflow.interfaces import IWorkflowState
-from waeup.sirp.interfaces import ISIRPObject
-from waeup.sirp.students.viewlets import PrimaryStudentNavTab
-from waeup.sirp.browser.viewlets import ManageActionButton, PrimaryNavTab
-from waeup.sirp.applicants.interfaces import (
+from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.students.viewlets import PrimaryStudentNavTab
+from waeup.kofa.browser.viewlets import ManageActionButton, PrimaryNavTab
+from waeup.kofa.applicants.interfaces import (
     IApplicant, IApplicantsRoot, IApplicantsContainer,
     IApplicantOnlinePayment,
     )
-from waeup.sirp.applicants.browser import (
+from waeup.kofa.applicants.browser import (
     ApplicantsRootPage, ApplicantsContainerPage, ApplicantManageFormPage,
     ApplicantDisplayFormPage, OnlinePaymentDisplayFormPage
     )
 
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import MessageFactory as _
 
-grok.context(ISIRPObject) # Make ISIRPObject the default context
+grok.context(IKOFAObject) # Make IKOFAObject the default context
 grok.templatedir('browser_templates')
 
@@ -38,5 +38,5 @@
     """Applicants tab in primary navigation.
     """
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.order(3)
     grok.require('waeup.viewApplicantsTab')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 7811)
@@ -21,8 +21,8 @@
 from hurry.workflow.workflow import Transition, WorkflowState, NullCondition
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
-from waeup.sirp.applicants.interfaces import IApplicantBaseData
-from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo, ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
+from waeup.kofa.applicants.interfaces import IApplicantBaseData
+from waeup.kofa.interfaces import IObjectHistory, IKOFAWorkflowInfo, IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -137,5 +137,5 @@
     )
 
-application_workflow = SIRPWorkflow(APPLICATION_TRANSITIONS)
+application_workflow = KOFAWorkflow(APPLICATION_TRANSITIONS)
 
 class ApplicationWorkflowState(WorkflowState, grok.Adapter):
@@ -148,9 +148,9 @@
     state_id = 'wf.application.id'
 
-class ApplicationWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
+class ApplicationWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
     """Adapter to adapt Applicant objects to workflow info objects.
     """
     grok.context(IApplicantBaseData)
-    grok.provides(ISIRPWorkflowInfo)
+    grok.provides(IKOFAWorkflowInfo)
 
     def __init__(self, context):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/authentication.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/authentication.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/authentication.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Authentication for SIRP.
+"""Authentication for KOFA.
 """
 import grok
@@ -32,7 +32,7 @@
 from zope.password.interfaces import IPasswordManager
 from zope.securitypolicy.principalrole import principalRoleManager
-from waeup.sirp.interfaces import (ILocalRoleSetEvent,
+from waeup.kofa.interfaces import (ILocalRoleSetEvent,
     IUserAccount, IAuthPluginUtility, IPasswordValidator,
-    ISIRPPrincipal, ISIRPPrincipalInfo)
+    IKOFAPrincipal, IKOFAPrincipalInfo)
 
 def setup_authentication(pau):
@@ -63,5 +63,5 @@
     return principalRoleManager
 
-class SIRPSessionCredentialsPlugin(grok.GlobalUtility,
+class KOFASessionCredentialsPlugin(grok.GlobalUtility,
                                     SessionCredentialsPlugin):
     grok.provides(ICredentialsPlugin)
@@ -72,11 +72,11 @@
     passwordfield = 'form.password'
 
-class SIRPPrincipalInfo(object):
-    """An implementation of ISIRPPrincipalInfo.
-
-    A SIRP principal info is created with id, login, title, description,
+class KOFAPrincipalInfo(object):
+    """An implementation of IKOFAPrincipalInfo.
+
+    A KOFA principal info is created with id, login, title, description,
     phone, email and user_type.
     """
-    grok.implements(ISIRPPrincipalInfo)
+    grok.implements(IKOFAPrincipalInfo)
 
     def __init__(self, id, title, description, email, phone, user_type):
@@ -90,12 +90,12 @@
         self.authenticatorPlugin = None
 
-class SIRPPrincipal(Principal):
+class KOFAPrincipal(Principal):
     """A portal principal.
 
-    SIRP principals provide an extra `email`, `phone` and `user_type`
+    KOFA principals provide an extra `email`, `phone` and `user_type`
     attribute extending ordinary principals.
     """
 
-    grok.implements(ISIRPPrincipal)
+    grok.implements(IKOFAPrincipal)
 
     def __init__(self, id, title=u'', description=u'', email=u'',
@@ -112,15 +112,15 @@
 
     def __repr__(self):
-        return 'SIRPPrincipal(%r)' % self.id
-
-class AuthenticatedSIRPPrincipalFactory(grok.MultiAdapter):
-    """Creates 'authenticated' SIRP principals.
-
-    Adapts (principal info, request) to a SIRPPrincipal instance.
+        return 'KOFAPrincipal(%r)' % self.id
+
+class AuthenticatedKOFAPrincipalFactory(grok.MultiAdapter):
+    """Creates 'authenticated' KOFA principals.
+
+    Adapts (principal info, request) to a KOFAPrincipal instance.
 
     This adapter is used by the standard PAU to transform
-    SIRPPrincipalInfos into SIRPPrincipal instances.
-    """
-    grok.adapts(ISIRPPrincipalInfo, IRequest)
+    KOFAPrincipalInfos into KOFAPrincipal instances.
+    """
+    grok.adapts(IKOFAPrincipalInfo, IRequest)
     grok.implements(IAuthenticatedPrincipalFactory)
 
@@ -130,5 +130,5 @@
 
     def __call__(self, authentication):
-        principal = SIRPPrincipal(
+        principal = KOFAPrincipal(
             self.info.id,
             self.info.title,
@@ -224,5 +224,5 @@
         if not account.checkPassword(credentials['password']):
             return None
-        return SIRPPrincipalInfo(
+        return KOFAPrincipalInfo(
             id=account.name,
             title=account.title,
@@ -236,5 +236,5 @@
         if account is None:
             return None
-        return SIRPPrincipalInfo(
+        return KOFAPrincipalInfo(
             id=account.name,
             title=account.title,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7811)
@@ -1,8 +1,8 @@
 import os
 
-from waeup.sirp.browser.layout import (
-    SIRPPage, SIRPForm, SIRPLayout, SIRPDisplayFormPage, SIRPEditFormPage,
-    SIRPAddFormPage, NullValidator)
-from waeup.sirp.browser.pages import ContactAdminForm
+from waeup.kofa.browser.layout import (
+    KOFAPage, KOFAForm, KOFALayout, KOFADisplayFormPage, KOFAEditFormPage,
+    KOFAAddFormPage, NullValidator)
+from waeup.kofa.browser.pages import ContactAdminForm
 
 IMAGE_PATH = os.path.join(
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7811)
@@ -23,16 +23,16 @@
 from zope.publisher.browser import TestRequest
 
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IConfigurationContainer, ISessionConfiguration)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.browser import interfaces
-from waeup.sirp.browser.interfaces import (IBreadcrumb,
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.browser import interfaces
+from waeup.kofa.browser.interfaces import (IBreadcrumb,
     IBreadcrumbIgnorable, IBreadcrumbContainer)
-        
+
 class Breadcrumb(grok.Adapter):
     """A most general breadcrumb generator.
     """
     grok.provides(IBreadcrumb)
-    grok.context(interfaces.ISIRPObject)
+    grok.context(interfaces.IKOFAObject)
     grok.name('index')
 
@@ -42,5 +42,5 @@
     parent_viewname = 'index'
     viewname = 'index'
-    
+
     def __init__(self, context):
         """Turn a context into a breadcrumb.
@@ -57,5 +57,5 @@
             return self.context.title
         if hasattr(self.context, 'name'):
-            return self.context.name            
+            return self.context.name
         return None
 
@@ -151,5 +151,5 @@
 class DataCenterBreadcrumb(Breadcrumb):
     """A breadcrumb for data centers.
-    """ 
+    """
     grok.context(interfaces.IDataCenter)
     title = _(u'Data Center')
@@ -160,5 +160,5 @@
     """
     grok.context(interfaces.IFaculty)
-    
+
     @property
     def title(self):
@@ -169,14 +169,14 @@
     """
     grok.context(interfaces.IDepartment)
-    
+
 class CourseBreadcrumb(FacultyBreadcrumb):
     """A breadcrumb for courses.
     """
-    grok.context(interfaces.ICourse)   
-    
+    grok.context(interfaces.ICourse)
+
 class CertificateBreadcrumb(FacultyBreadcrumb):
     """A breadcrumb for certificates.
     """
-    grok.context(interfaces.ICertificate)        
+    grok.context(interfaces.ICertificate)
 
 class CoursesContainerBreadcrumb(Breadcrumb):
@@ -245,5 +245,5 @@
 
     _breadcrumbs = None
-    
+
     def __init__(self, context):
         self.context = context
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7811)
@@ -28,9 +28,9 @@
 from zope.interface import Interface
 from zope.publisher.interfaces.http import IHTTPRequest
-from waeup.sirp.browser import SIRPPage
-from waeup.sirp.browser.interfaces import (
+from waeup.kofa.browser import KOFAPage
+from waeup.kofa.browser.interfaces import (
     ICaptchaRequest, ICaptchaResponse, ICaptcha, ICaptchaConfig,
     ICaptchaManager)
-from waeup.sirp.interfaces import IUniversity
+from waeup.kofa.interfaces import IUniversity
 
 #
@@ -171,5 +171,5 @@
     """ReCaptcha - strong captchas with images, sound, etc.
 
-    This is the SIRP implementation to support captchas as provided by
+    This is the KOFA implementation to support captchas as provided by
     http://www.google.com/recaptcha.
 
@@ -266,5 +266,5 @@
             headers = {
                 "Content-type": "application/x-www-form-urlencoded",
-                "User-agent": "reCAPTCHA Python SIRP",
+                "User-agent": "reCAPTCHA Python KOFA",
                 }
             )
@@ -319,5 +319,5 @@
 
 
-class CaptchaTestPage(SIRPPage):
+class CaptchaTestPage(KOFAPage):
     # A test page to see a captcha in action
     grok.name('captcha')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7811)
@@ -22,5 +22,5 @@
 from zope.publisher.interfaces import INotFound
 from zope.security.interfaces import IUnauthorized
-from waeup.sirp.browser.layout import SIRPPage
+from waeup.kofa.browser.layout import KOFAPage
 
 grok.templatedir('templates')
@@ -61,5 +61,5 @@
 
 
-class NotFoundPage(SIRPPage):
+class NotFoundPage(KOFAPage):
     """A page rendered when an object cannot be found.
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7811)
@@ -20,7 +20,7 @@
 from zope import schema
 from zope.interface import Interface, Attribute
-from waeup.sirp.interfaces import (
-    ISIRPObject, IUniversity, IUsersContainer, IDataCenter)
-from waeup.sirp.university.interfaces import (
+from waeup.kofa.interfaces import (
+    IKOFAObject, IUniversity, IUsersContainer, IDataCenter)
+from waeup.kofa.university.interfaces import (
     IFacultiesContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
     ICoursesContainer, ICourse, ICourseAdd, ICertificatesContainer,
@@ -63,5 +63,5 @@
     Themes are basically collections of CSS- and/or JavaScript files
     stored somewhere. In Grok-contexts these files can be registered
-    as 'resources' (see :mod:`waeup.sirp.browser.resources`).
+    as 'resources' (see :mod:`waeup.kofa.browser.resources`).
 
     Furthermore, to make themes selectable and distinctable from each
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 7811)
@@ -33,10 +33,10 @@
 from zope.interface import Interface
 from zope.site.hooks import getSite
-from waeup.sirp.interfaces import ISIRPObject, IUserAccount
-from waeup.sirp.browser.interfaces import ITheme
-from waeup.sirp.browser.theming import get_all_themes, SIRPThemeBase
-from waeup.sirp.students.interfaces import IStudentNavigation
-from waeup.sirp.applicants.interfaces import IApplicant
-from waeup.sirp.authentication import get_principal_role_manager
+from waeup.kofa.interfaces import IKOFAObject, IUserAccount
+from waeup.kofa.browser.interfaces import ITheme
+from waeup.kofa.browser.theming import get_all_themes, KOFAThemeBase
+from waeup.kofa.students.interfaces import IStudentNavigation
+from waeup.kofa.applicants.interfaces import IApplicant
+from waeup.kofa.authentication import get_principal_role_manager
 
 grok.templatedir('templates')
@@ -56,12 +56,12 @@
 
     def __call__(self, success):
-        action = SIRPAction(self.label, success=success, **self.options)
+        action = KOFAAction(self.label, success=success, **self.options)
         self.actions.append(action)
         return action
 
-class SIRPAction(Action):
+class KOFAAction(Action):
 
     def __init__(self, label, style='', **options):
-        super(SIRPAction, self).__init__(label, **options)
+        super(KOFAAction, self).__init__(label, **options)
         self.style = style
 
@@ -150,10 +150,10 @@
         return True
 
-class SIRPLayout(UtilityView,Layout):
+class KOFALayout(UtilityView,Layout):
     """A megrok.layout.Layout with additional methods.
     """
     grok.baseclass()
 
-class SIRPForm(UtilityView,Form):
+class KOFAForm(UtilityView,Form):
     """A megrok.layout.Form with additional methods.
     """
@@ -161,5 +161,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(SIRPForm,self).setUpWidgets(ignore_request)
+        super(KOFAForm,self).setUpWidgets(ignore_request)
         # Width parameters will be overridden by Bootstrap
         # so we have to set the css class
@@ -171,10 +171,10 @@
             self.widgets['body'].cssClass = 'span9'
 
-class SIRPPage(UtilityView,Page):
+class KOFAPage(UtilityView,Page):
     """A megrok.layout page with additional methods.
     """
     grok.baseclass()
 
-class SIRPDisplayFormPage(UtilityView,DisplayForm):
+class KOFADisplayFormPage(UtilityView,DisplayForm):
     """A megrok.layout.DisplayForm with additional methods.
     """
@@ -182,5 +182,5 @@
     template = default_waeup_display_template
 
-class SIRPEditFormPage(UtilityView,EditForm):
+class KOFAEditFormPage(UtilityView,EditForm):
     """A megrok.layout.EditForm with additional methods.
     """
@@ -189,5 +189,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(SIRPEditFormPage,self).setUpWidgets(ignore_request)
+        super(KOFAEditFormPage,self).setUpWidgets(ignore_request)
         for widget in self.widgets:
             if widget.__class__.__name__ == 'TextWidget':
@@ -207,5 +207,5 @@
             self.widgets['perm_address'].height = 10
 
-class SIRPAddFormPage(UtilityView,AddForm):
+class KOFAAddFormPage(UtilityView,AddForm):
     """A megrok.layout.AddForm with additional methods.
     """
@@ -213,11 +213,11 @@
     template = default_waeup_edit_template
 
-class SiteLayout(SIRPLayout):
+class SiteLayout(KOFALayout):
     """ The general site layout.
     """
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
 
     #: An instance of the default theme to use for the site layout
-    default_theme = SIRPThemeBase()
+    default_theme = KOFAThemeBase()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
@@ -297,7 +297,7 @@
         hold the internal name of a theme.
 
-        A theme in the waeup.sirp sense consists of a list of
+        A theme in the waeup.kofa sense consists of a list of
         CSS/JavaScript resources defined in the
-        :mod:`waeup.sirp.browser.resources` module.
+        :mod:`waeup.kofa.browser.resources` module.
 
         If the context University object has no such attribute or the
